Jupiter - Zadanie #1663

Zadanie # 1658 (Zamknigty): Utworzenie ekranu do przegladania historii zmian w publikacjach
Dodanie widokéw do wyswietlania historii dokumentéw

2017-04-21 11:27 - Michat Komar

Status: Zamkniety Start date: 2017-04-21
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3

Developer: Jarostaw Babel Tester: Michat Komar
Description

W Ul utworzy¢ strone z historig dokumentéw pod /administration/history. Podpiac ja w menu w Administration/History.

Powinna istnie¢ mozliwos$¢ przejscia do /administration/history/{id} - strona ta powinna posiada¢ ten sam content co

/editor/document/{id}/history

Associated revisions

Revision b46e17a0 - 2017-05-08 15:46 - Jarostaw Babel

refs #1663 ekran z historig dokumentow

Revision 668908b6 - 2017-05-08 15:46 - Jarostaw Babel

refs #1663 podglad historycznego dokumentu

Revision 843cd560 - 2017-05-18 07:34 - Jarostaw Babel

refs #1663 ujednolicanie widokdw historii -obstuga zadania podgladu historycznego dokumentu

Revision 9e3fbadb - 2017-05-18 07:34 - Jarostaw Babel

refs #1663 ujednolicanie widokéw historii -obstuga zadania dla listy historycznych dokumentéw

Revision 5b9e7647 - 2017-05-18 07:34 - Jarostaw Babel

refs #1663 ujednolicanie widokow historii - przeniesienie widokdw historii do app-common

Revision 12e1f50f - 2017-05-18 07:34 - Jarostaw Babel

refs #1663 wspolny widok listy dokumentéw historycznych

Revision 7251264 - 2017-05-18 07:34 - Jarostaw Babel

refs #1663 wspolny widok podgladu dokumentu historycznego
Revision d6c8c5be - 2017-05-18 07:37 - Jarostaw Babel

refs #1663 usuniecie niepotrzebnego modutu z admina

History

#1 - 2017-05-04 11:05 - Jarostaw Babel
- Status changed from Nowy to W toku

#2 - 2017-05-09 06:55 - Jarostaw Babel
- Status changed from W toku to Testowanie

#3 - 2017-05-09 06:56 - Jarostaw Babel
- Assignee changed from Jarostaw Babel to Michat Komar

#4 - 2017-05-09 09:52 - Michat Komar

- Status changed from Testowanie to Odpowiedz

- Assignee changed from Michat Komar to Jarostaw Babel

Trzeba przenies¢ history-document-list i history-document-view z subcomponents do modutu common i usungé history-view oraz history.component. W
administration/history powinien byé uzywany doktadnie ten sam komponent co w /editor/document/{id}/history - konfiguracja przekierowan oraz

filtrowania (informacja o tym, ze ma pobra¢ id dokumentu z route) powinna by¢ przekazana z modutu routingu - pole "data".

#5 - 2017-05-10 08:39 - Jarostaw Babel

- Assignee changed from Jarostaw Bgbel to Michat Komar

Czy przycisk restore w admin/history powinien by¢ ukryty?

Wydaje sie, ze tak, bo dotyczy on currentdocuemtn, ktérego moze nie by¢ dla archiwéw z admina.

Czy dobrze rozumiem?

#6 - 2017-05-10 09:06 - Michat Komar
- Assignee changed from Michat Komar to Jarostaw Babel

Przycisk restore powinien by¢ dostepny. Szczegblnie w momencie, gdy dokument jest usuniety, musi istnie¢ mozliwosé jego przywrécenia. Nie ma

innej mozliwosci, zeby to zrobic.

#7 - 2017-05-16 13:13 - Jarostaw Babel

- Status changed from Odpowied? to Testowanie

#8 - 2017-05-16 13:13 - Jarostaw Babel
- Assignee changed from Jarostaw Babel to Michat Komar

#9 - 2017-05-17 14:03 - Michat Komar

- Status changed from Testowanie to Odpowiedz
- Assignee changed from Michat Komar to Jarostaw Babel
Nie widzg zadnego nowego commita.

#10 - 2017-05-18 07:42 - Jarostaw Babel
- Status changed from OdpowiedZ to Testowanie
- Assignee changed from Jarostaw Bgbel to Michat Komar

Przepraszam, zaciatem sie na budowaniu Ul po pull i w ferworze walki zapomniatem na koniec zrobi¢ push. Teraz juz powinno by¢.

#11 - 2017-05-18 11:52 - Michat Komar
- Status changed from Testowanie to Rozwigzany
- % Done changed from 0 to 100

W porzadku. Wszystko dziata.

#12 - 2017-06-06 11:56 - Michat Komar
- Status changed from Rozwigzany to Zamkniety

2024-05-20 3/3



